from flask import Flask
from pymongo import MongoClient
from flask_jwt_extended import JWTManager
from singletons.database_singleton import DatabaseSingleton

app = Flask(__name__)
app.config['JWT_SECRET_KEY'] = Config.JWT_SECRET_KEY
jwt = JWTManager(app)
client = MongoClient(Config.MONGO_URI)
db = DatabaseSingleton.get_instance()

if __name__ == '__main__':
    app.run(debug=True)
