from typing import Optional
from pydantic import BaseModel
from datetime import datetime

class CreateReservationDTO(BaseModel):
    title: str
    description: Optional[str] = None
    room_id: str
    start_date: datetime
    finish_date: datetime

class UpdateReservationDTO(BaseModel):
    title: Optional[str] = None
    description: Optional[str] = None
    room_id: Optional[str] = None
    start_date: Optional[datetime] = None
    finish_date: Optional[datetime] = None