from pydantic import BaseModel, EmailStr

class RegisterUserDTO(BaseModel):
    username: str
    password: str
    email: EmailStr
    first_name: str
    last_name: str
    department: str
    position: str
    is_admin: bool = False

class LoginUserDTO(BaseModel):
    username: str
    password: str